var Part = function (x, y, key, scale) {
	Phaser.Sprite.call(this, game, x, y, key);
	game.add.existing(this);

	this.anchor.set(0.5);
	this.scale.set(scale ? scale : 0.6);
	this.inputEnabled = true;
	this.selected = false;

    // make sure click is only on opaque pixels
	this.input.pixelPerfectClick = true;
	this.input.useHandCursor = true;
};

Part.prototype = Object.create(Phaser.Sprite.prototype);
Part.prototype.constructor = Part;