GameStates.SelectBackground = function () {
    this.title;
    this.titlePosition = new Phaser.Point(40, 50);
    this.titleBottom = this.titlePosition.y + 20;
};

GameStates.SelectBackground.prototype = {
	create: function () {
		// create background
		game.add.sprite(0, 0, 'stage');
		
		// reset background
		selectedBackground = null;
		
		// draw backgrounds to select from one
		this.createBackground(200, 190, 0);
		this.createBackground(550, 190, 1);
		this.createBackground(200, 330, 2);
		this.createBackground(550, 330, 3);
		this.createBackground(200, 470, 4);
		this.createBackground(550, 470, 5);

		this.title = new Text(game, this.titlePosition.x, this.titleBottom, copy.backgroundTitle.toUpperCase(), 'medium', 'center', '#5f259f');
		this.title.alpha = 0;

		Utils.Tween.In(game, this.title, { alpha: 1 }, { alpha: 1 });
		Utils.Tween.In(game, this.title, { y: this.titlePosition.y }, { y: this.titlePosition.y });
	},
	
	createBackground: function (x, y, index) {
		var sprite = game.add.sprite(x, y, data.backgroundThumbs[index].key + '-thumb');
		sprite.anchor.set(0.5);
		sprite.inputEnabled = true;
		sprite.input.useHandCursor = true;
		sprite.scale.set(1);
		
		sprite.events.onInputDown.add((function(){
			selectedBackground = index;
			this.state.start('ShowImage');
		}), this);
	}
};