var data = {
	glitters: [
		{
			key: "gold-glitter",
			path: "gold.jpg"
		},
		{
			key: "pink-glitter",
			path: "pink.jpg"
		},
		{
			key: "silver-glitter",
			path: "silver.jpg"
		},
		{
			key: "purple-glitter",
			path: "multi.jpg"
		}
	],

	particles: [
		{
		    key: "spark-1",
		    path: "spark-1.png"
		},
		{
		    key: "spark-2",
		    path: "spark-2.png"
		},
		{
		    key: "spark-3",
		    path: "spark-3.png"
		},
		{
		    key: "spark-4",
		    path: "spark-4.png"
		},
		{
		    key: "spark-5",
		    path: "spark-5.png"
		},
		{
		    key: "spark-6",
		    path: "spark-6.png"
		}
	],

	backgroundThumbs: [
		{
		    key: "beach",
		    path: "beach-thumb.jpg"
		},
		{
		    key: "catwalk",
		    path: "catwalk-thumb.jpg"
		},
		{
		    key: "city",
		    path: "city-thumb.jpg"
		},
		{
		    key: "bedroom",
		    path: "bedroom-thumb.jpg"
		},
		{
		    key: "pink",
		    path: "pink-thumb.png"
		},
		{
		    key: "purple",
		    path: "purple-thumb.png"
		}
	],

	backgrounds: [
		{
			key: "beach",
			path: "beach.jpg"
		},
		{
			key: "catwalk",
			path: "catwalk.jpg"
		},
		{
			key: "city",
			path: "city.jpg"
		},
		{
			key: "bedroom",
			path: "bedroom.jpg"
		},
		{
		    key: "pink",
		    path: "background-pink.png"
		},
		{
		    key: "purple",
		    path: "background-purple.png"
		}
	],

	positions: [
        {
            x: -150,
            y: 60,
            scale: 1.2
        },
        {
            x: 0,
            y: 0,
            scale: 0.9
        },
        {
            x: 150,
            y: 100,
            scale: 1.2
        },
        {
            x: 0,
            y: 100,
            scale: 1.1
        },
        {
            x: 0,
            y: 0,
            scale: 1
        },
        {
            x: 0,
            y: 0,
            scale: 1
        }
	],

	characters: [
		{
			name: "polly",
			poses: [
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "pants.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "skirt.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "pants.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
				    parts: [
						{
						    path: "body.png",
						    selectable: false
						},
						{
						    path: "shirt.png",
						    selectable: true
						},
						{
						    path: "shorts.png",
						    selectable: true
						},
						{
						    path: "shoes.png",
						    selectable: true
						}
				    ]
				}
			]
		},
		{
			name: "shani",
			poses: [
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "pants.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "skirt.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "pants.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				}
			]
		},
		{
			name: "lila",
			poses: [
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "shirt.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
					parts: [
						{
							path: "body.png",
							selectable: false
						},
						{
							path: "dress.png",
							selectable: true
						},
						{
							path: "shoes.png",
							selectable: true
						}
					]
				},
				{
				    parts: [
						{
						    path: "body.png",
						    selectable: false
						},
						{
						    path: "shirt.png",
						    selectable: true
						},
						{
							path: "shorts.png",
							selectable: true
						},
						{
						    path: "shoes.png",
						    selectable: true
						}
				    ]
				}
			]
		}
	]
}