var GameStates = {};

//var urlAbsoluteAssetPath = 'http://' + location.host + '/global/games/glitterizer/';
var urlAbsoluteAssetPath = '../global/games/glitterizer/';

// Global variables
var selectedCharacter = 0;
var selectedPose = 0;
var selectedParts = 0;
var selectedCanister = 0;
var glitterizedCharacter;
var selectedBackground;

// use copy and data for the two js data files

GameStates.Boot = function () {};

GameStates.Boot.prototype = {
	init: function () {
		// set game variables
		this.input.maxPointers = 1;
		this.stage.backgroundColor = 0x0b050a;
	},

	preload: function () {
		// load images for the loading screen
		this.load.image('loading', urlAbsoluteAssetPath + copy.images.loading);
		this.load.image('bar', urlAbsoluteAssetPath + 'include/images/bar.png');
		this.load.image('bar-background', urlAbsoluteAssetPath + 'include/images/bar-background.png');
		this.load.image('stage', urlAbsoluteAssetPath + 'include/images/stage.png');
		
		game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
	},

	create: function () {
		// start preloader
		this.state.start('Preloader');
	}
};